## groonga-normalizer-mysql 1.0.6

=== CMakeLists.txt ===
# Copyright(C) 2013  Kouhei Sutou <kou@clear-code.com>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; version 2
# of the License.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free
# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
# MA 02110-1301, USA

cmake_minimum_required(VERSION 2.6)
project(groonga-normalizer-mysql)

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/version" VERSION)

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
  set(GROONGA_NORMALIZER_MYSQL_BUNDLED FALSE)
else()
  set(GROONGA_NORMALIZER_MYSQL_BUNDLED TRUE)
endif()

if(GROONGA_NORMALIZER_MYSQL_BUNDLED)
  set(GROONGA_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/include")
  set(GROONGA_LIBRARY_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/lib")
  set(GROONGA_LIBRARIES "libgroonga")
  set(GROONGA_PLUGINS_DIR "${GRN_RELATIVE_PLUGINS_DIR}")
else()
  include(FindPkgConfig)
  include(${CMAKE_CURRENT_SOURCE_DIR}/build/cmake_modules/ReadFileList.cmake)

  file(READ
    ${CMAKE_CURRENT_SOURCE_DIR}/required_groonga_version
    GROONGA_REQUIRED_VERSION)
  string(STRIP "${GROONGA_REQUIRED_VERSION}" GROONGA_REQUIRED_VERSION)

  pkg_check_modules(GROONGA REQUIRED "groonga >= ${GROONGA_REQUIRED_VERSION}")
  _pkgconfig_invoke(groonga GROONGA PLUGINS_DIR "" --variable=pluginsdir)
endif()

include_directories(
  ${CMAKE_BINARY_DIR}
  ${GROONGA_INCLUDE_DIRS})

link_directories(
  ${GROONGA_LIBRARY_DIRS})

add_subdirectory(normalizers)

configure_file(
  groonga-normalizer-mysql.pc.in
  "${CMAKE_CURRENT_BINARY_DIR}/groonga-normalizer-mysql.pc"
  @ONLY)

install(
  FILES "${CMAKE_CURRENT_BINARY_DIR}/groonga-normalizer-mysql.pc"
  DESTINATION "lib/pkgconfig/")

=== normalizers/CMakeLists.txt ===
# Copyright(C) 2013  Kouhei Sutou <kou@clear-code.com>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; version 2
# of the License.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free
# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
# MA 02110-1301, USA

set(NORMALIZERS_DIR "${GROONGA_PLUGINS_DIR}/normalizers")
read_file_list(${CMAKE_CURRENT_SOURCE_DIR}/mysql_sources.am MYSQL_SOURCES)
add_library(mysql_normalizer MODULE ${MYSQL_SOURCES})
set_target_properties(mysql_normalizer PROPERTIES
  PREFIX ""
  OUTPUT_NAME "mysql")
target_link_libraries(mysql_normalizer ${GROONGA_LIBRARIES})
install(TARGETS mysql_normalizer DESTINATION "${NORMALIZERS_DIR}")

=== debian/changelog ===
groonga-normalizer-mysql (1.0.6-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * debian/copyright
    - Follow machine readable copyright format
  * debian/rules
    - Remove needless '*.la'.
    - Remove extra license file.
  * Initial upload to Debian (Closes:#766710)

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Tue, 18 Nov 2014 00:00:00 +0900

groonga-normalizer-mysql (1.0.5-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Sat, 29 Jun 2013 00:00:00 +0900

groonga-normalizer-mysql (1.0.4-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Wed, 29 May 2013 00:00:00 +0900

groonga-normalizer-mysql (1.0.3-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Mon, 29 Apr 2013 00:00:00 +0900

groonga-normalizer-mysql (1.0.2-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Fri, 29 Mar 2013 00:00:00 +0900

groonga-normalizer-mysql (1.0.1) unstable; urgency=low

  * New upstream release

 -- khayashi <hayashi@clear-code.com>  Thu, 28 Feb 2013 00:00:00 +0900

groonga-normalizer-mysql (1.0.0-1) unstable; urgency=low

  * Initial release

 -- Kouhei Sutou <kou@clear-code.com>  Sat, 9 Feb 2013 00:00:00 +0900

## groonga-normalizer-mysql 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright(C) 2013  Kouhei Sutou <kou@clear-code.com>
+# Copyright(C) 2013-2015  Kouhei Sutou <kou@clear-code.com>
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Library General Public
@@ -17,6 +17,16 @@
 
 cmake_minimum_required(VERSION 2.6)
 project(groonga-normalizer-mysql)
+
+if(DEFINED GROONGA_NORMALIZER_MYSQL_EMBED)
+  set(GROONGA_NORMALIZER_MYSQL_EMBED_DEFAULT
+    ${GROONGA_NORMALIZER_MYSQL_EMBED})
+else()
+  set(GROONGA_NORMALIZER_MYSQL_EMBED_DEFAULT OFF)
+endif()
+option(GROONGA_NORMALIZER_MYSQL_EMBED
+  "Build as a static library to embed into an application"
+  ${GROONGA_NORMALIZER_MYSQL_EMBED_DEFAULT})
 
 file(READ "${CMAKE_CURRENT_SOURCE_DIR}/version" VERSION)
 
@@ -53,11 +63,12 @@
 
 add_subdirectory(normalizers)
 
-configure_file(
-  groonga-normalizer-mysql.pc.in
-  "${CMAKE_CURRENT_BINARY_DIR}/groonga-normalizer-mysql.pc"
-  @ONLY)
-
-install(
-  FILES "${CMAKE_CURRENT_BINARY_DIR}/groonga-normalizer-mysql.pc"
-  DESTINATION "lib/pkgconfig/")
+if(NOT GROONGA_NORMALIZER_MYSQL_EMBED)
+  configure_file(
+    groonga-normalizer-mysql.pc.in
+    "${CMAKE_CURRENT_BINARY_DIR}/groonga-normalizer-mysql.pc"
+    @ONLY)
+  install(
+    FILES "${CMAKE_CURRENT_BINARY_DIR}/groonga-normalizer-mysql.pc"
+    DESTINATION "lib/pkgconfig/")
+endif()

=== normalizers/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright(C) 2013  Kouhei Sutou <kou@clear-code.com>
+# Copyright(C) 2013-2015  Kouhei Sutou <kou@clear-code.com>
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Library General Public
@@ -17,9 +17,27 @@
 
 set(NORMALIZERS_DIR "${GROONGA_PLUGINS_DIR}/normalizers")
 read_file_list(${CMAKE_CURRENT_SOURCE_DIR}/mysql_sources.am MYSQL_SOURCES)
-add_library(mysql_normalizer MODULE ${MYSQL_SOURCES})
-set_target_properties(mysql_normalizer PROPERTIES
-  PREFIX ""
-  OUTPUT_NAME "mysql")
+if(GROONGA_NORMALIZER_MYSQL_EMBED)
+  add_library(mysql_normalizer STATIC ${MYSQL_SOURCES})
+  set_property(TARGET mysql_normalizer APPEND PROPERTY
+    COMPILE_DEFINITIONS "GROONGA_NORMALIZER_MYSQL_EMBED")
+  set_target_properties(
+    mysql_normalizer
+    PROPERTIES
+    POSITION_INDEPENDENT_CODE ON)
+  if(NOT DEFINED CMAKE_C_COMPILE_OPTIONS_PIC)
+    # For old CMake
+    if(CMAKE_COMPILER_IS_GNUCXX)
+      set_source_files_properties(${MYSQL_SOURCES}
+	PROPERTIES
+	COMPILE_FLAGS "-fPIC")
+    endif()
+  endif()
+else()
+  add_library(mysql_normalizer MODULE ${MYSQL_SOURCES})
+  set_target_properties(mysql_normalizer PROPERTIES
+    PREFIX ""
+    OUTPUT_NAME "mysql")
+  install(TARGETS mysql_normalizer DESTINATION "${NORMALIZERS_DIR}")
+endif()
 target_link_libraries(mysql_normalizer ${GROONGA_LIBRARIES})
-install(TARGETS mysql_normalizer DESTINATION "${NORMALIZERS_DIR}")

=== debian/changelog ===
groonga-normalizer-mysql (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Fri, 01 Jan 2016 03:13:48 +0900

=== debian/control ===
Source: groonga-normalizer-mysql
Section: libs
Priority: optional
Maintainer: Groonga Project <packages@groonga.org>
Uploaders: HAYASHI Kentaro <hayashi@clear-code.com>
Build-Depends:
  debhelper (>= 9),
  autotools-dev,
  pkg-config,
  libgroonga-dev (>= 3.0.0)
Standards-Version: 3.9.6
Homepage: https://github.com/groonga/groonga-normalizer-mysql

Package: groonga-normalizer-mysql
Architecture: any
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libgroonga0
Description: MySQL derived normalizer for Groonga
 Groonga is an open-source fulltext search engine and column store.
 It lets you write high-performance applications that requires fulltext
 search.
 .
 This package provides a normalizer which normalizes text as same as
 MySQL does.
 .
 Groonga has its own normalizers by default, but that behavior is a bit
 defferent from MySQL does, so as a result, it affects search results.
 These normalizers are useful if you regards it important for keeping
 normalizer compatibility with MySQL in Mroonga which uses Groonga as
 storage engine.

=== debian/tests/control ===
Tests: register, normalize
Depends: groonga-bin, jq

## groonga-normalizer-mysql 1.1.1

=== debian/changelog ===
groonga-normalizer-mysql (1.1.1-2) unstable; urgency=medium

  * debian/control
    - Accept linux-any and kfreebsd-any explicitly to exclude hurd-i386.
  * debian/tests/control
    - Install missing package which is required to execute tests.
  * debian/tests/register
    debian/tests/normalize
    - Detects installed plugin correctly.

 -- Kentaro Hayashi <hayashi@clear-code.com>  Sat, 11 Jun 2016 13:33:37 +0900

groonga-normalizer-mysql (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control
    - Update to latest standard-version 3.9.8.

 -- Kentaro Hayashi <hayashi@clear-code.com>  Tue, 31 May 2016 13:38:23 +0900

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: libs
 Priority: optional
 Maintainer: Groonga Project <packages@groonga.org>
-Uploaders: HAYASHI Kentaro <hayashi@clear-code.com>
+Uploaders: Kentaro Hayashi <hayashi@clear-code.com>
 Build-Depends:
   debhelper (>= 9),
   autotools-dev,
   pkg-config,
   libgroonga-dev (>= 3.0.0)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/groonga/groonga-normalizer-mysql
 
 Package: groonga-normalizer-mysql
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},

=== debian/tests/control ===
Tests: register, normalize
Depends: groonga-bin, jq, groonga-normalizer-mysql

## groonga-normalizer-mysql 1.1.2

=== debian/changelog ===
groonga-normalizer-mysql (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump standard version to 4.1.5. No other changes are required.

 -- Kentaro Hayashi <hayashi@clear-code.com>  Wed, 18 Jul 2018 13:48:42 +0900

groonga-normalizer-mysql (1.1.1-4) unstable; urgency=medium

  * debian/control
    - Bump debhelper version to 11.
    - Bump standard version to 4.1.3. No other changes are required.
    - Remove needless autotools-dev since compatibility level 10.
    - Add Vcs-* fields
  * debian/compat
    - Bump compatibility level to 11.
  * debian/watch
    - Use https for the URI.
  * debian/copyright
    - Use https for the URI.
    - Fix copyright-with-old-dh-make-debian-copyright
  * debian/rules
    - Remove needless static library.

 -- Kentaro Hayashi <hayashi@clear-code.com>  Wed, 21 Feb 2018 21:43:45 +0900

groonga-normalizer-mysql (1.1.1-3) unstable; urgency=medium

  * debian/tests/control
    - Add missing dependency to use dpkg-architecture correctly.
      Thanks to Charles Plessy.

 -- Kentaro Hayashi <hayashi@clear-code.com>  Sun, 18 Jun 2017 12:27:25 +0900

## groonga-normalizer-mysql 1.1.3

=== debian/changelog ===
groonga-normalizer-mysql (1.1.3-2) unstable; urgency=medium

  * debian/control
    - Fix wrong Vcs-fields.
    - Bump required Groonga version to 8.0.4.
    - Bump standard version to 4.2.0. No other changes are required.

 -- Kentaro Hayashi <hayashi@clear-code.com>  Mon, 13 Aug 2018 22:45:22 +0900

groonga-normalizer-mysql (1.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Kentaro Hayashi <hayashi@clear-code.com>  Thu, 19 Jul 2018 13:44:54 +0900

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Groonga Project <packages@groonga.org>
 Uploaders: Kentaro Hayashi <hayashi@clear-code.com>
+Vcs-Git: https://salsa.debian.org/debian/groonga-normalizer-mysql.git
+Vcs-Browser: https://salsa.debian.org/debian/groonga-normalizer-mysql/
 Build-Depends:
-  debhelper (>= 9),
-  autotools-dev,
+  debhelper (>= 11),
   pkg-config,
-  libgroonga-dev (>= 3.0.0)
-Standards-Version: 3.9.8
+  libgroonga-dev (>= 8.0.4)
+Standards-Version: 4.2.0
 Homepage: https://github.com/groonga/groonga-normalizer-mysql
 
 Package: groonga-normalizer-mysql

=== debian/watch ===
version=3
https://packages.groonga.org/source/groonga-normalizer-mysql/groonga-normalizer-mysql-(.+).tar.gz

## groonga-normalizer-mysql 1.1.4

=== debian/changelog ===
groonga-normalizer-mysql (1.1.4-2) unstable; urgency=medium

  * debian/control
    - Use debhelper-compat v12
    - Bump standard version to 4.5.0

 -- Kentaro Hayashi <hayashi@clear-code.com>  Fri, 14 Feb 2020 20:19:25 +0900

groonga-normalizer-mysql (1.1.4-1) unstable; urgency=medium

  * New upstream version 1.1.4
  * debian/watch
    - Bump debian/watch version
  * debian/control
    - Bump standard version to 4.4.0. No other changes are required.
  * debian/.gitlab-ci.yml
    - Add CI sample

 -- Kentaro Hayashi <hayashi@clear-code.com>  Fri, 09 Aug 2019 18:53:13 +0900

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Vcs-Git: https://salsa.debian.org/debian/groonga-normalizer-mysql.git
 Vcs-Browser: https://salsa.debian.org/debian/groonga-normalizer-mysql/
 Build-Depends:
-  debhelper (>= 11),
+  debhelper-compat (= 12),
   pkg-config,
   libgroonga-dev (>= 8.0.4)
-Standards-Version: 4.2.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/groonga/groonga-normalizer-mysql
 
 Package: groonga-normalizer-mysql

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@

# disable 'make check'.
override_dh_auto_test:

override_dh_install:
	find $(CURDIR) -name '*.la' -delete
	find $(CURDIR) -name '*.a' -delete
	find $(CURDIR) -name 'lgpl-2.0.txt' -delete

## groonga-normalizer-mysql 1.1.5

=== debian/changelog ===
groonga-normalizer-mysql (1.1.5-1) unstable; urgency=medium

  * New upstream version 1.1.5
  * Bump standard version to 4.6.0.1. No other changes are required.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 27 Nov 2021 22:39:56 +0900

groonga-normalizer-mysql (1.1.4-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Kentaro Hayashi <kenhys@xdump.org>  Wed, 28 Oct 2020 21:25:56 +0900

groonga-normalizer-mysql (1.1.4-3) unstable; urgency=medium

  * debian/control
    - Bump old compat version to 13
    - Enable Rules-Requires-Root: no

 -- Kentaro Hayashi <kenhys@xdump.org>  Fri, 15 May 2020 08:58:08 +0900

## groonga-normalizer-mysql 1.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,8 +15,9 @@
 # Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 # MA 02110-1301, USA
 
-cmake_minimum_required(VERSION 2.6)
-project(groonga-normalizer-mysql)
+cmake_minimum_required(VERSION 2.8.12)
+set(GROONGA_NORMALIZER_MYSQL_PROJECT_NAME "groonga-normalizer-mysql")
+project("${GROONGA_NORMALIZER_MYSQL_PROJECT_NAME}")
 
 if(DEFINED GROONGA_NORMALIZER_MYSQL_EMBED)
   set(GROONGA_NORMALIZER_MYSQL_EMBED_DEFAULT
@@ -24,9 +25,11 @@
 else()
   set(GROONGA_NORMALIZER_MYSQL_EMBED_DEFAULT OFF)
 endif()
-option(GROONGA_NORMALIZER_MYSQL_EMBED
-  "Build as a static library to embed into an application"
-  ${GROONGA_NORMALIZER_MYSQL_EMBED_DEFAULT})
+set(GROONGA_NORMALIZER_MYSQL_EMBED
+  ${GROONGA_NORMALIZER_MYSQL_EMBED_DEFAULT}
+  CACHE
+  BOOL
+  "Build as a static library to embed into an application")
 
 file(READ "${CMAKE_CURRENT_SOURCE_DIR}/version" VERSION)
 
@@ -72,3 +75,8 @@
     FILES "${CMAKE_CURRENT_BINARY_DIR}/groonga-normalizer-mysql.pc"
     DESTINATION "lib/pkgconfig/")
 endif()
+
+install(FILES
+  "README.md"
+  "doc/text/lgpl-2.0.txt"
+  DESTINATION "share/${GROONGA_NORMALIZER_MYSQL_PROJECT_NAME}")

=== debian/changelog ===
groonga-normalizer-mysql (1.1.8-1) unstable; urgency=medium

  * New upstream version 1.1.8

 -- Kentaro Hayashi <kenhys@xdump.org>  Fri, 21 Jan 2022 19:43:02 +0900

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,23 @@
 Section: libs
 Priority: optional
 Maintainer: Groonga Project <packages@groonga.org>
-Uploaders: Kentaro Hayashi <hayashi@clear-code.com>
+Uploaders: Kentaro Hayashi <kenhys@xdump.org>
 Vcs-Git: https://salsa.debian.org/debian/groonga-normalizer-mysql.git
 Vcs-Browser: https://salsa.debian.org/debian/groonga-normalizer-mysql/
 Build-Depends:
-  debhelper-compat (= 12),
-  pkg-config,
-  libgroonga-dev (>= 8.0.4)
-Standards-Version: 4.5.0
+ debhelper-compat (= 13),
+ pkg-config,
+ libgroonga-dev (>= 8.0.4)
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/groonga/groonga-normalizer-mysql
+Rules-Requires-Root: no
 
 Package: groonga-normalizer-mysql
 Architecture: linux-any kfreebsd-any
 Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libgroonga0
+ ${misc:Depends},
+ ${shlibs:Depends},
+ libgroonga0
 Description: MySQL derived normalizer for Groonga
  Groonga is an open-source fulltext search engine and column store.
  It lets you write high-performance applications that requires fulltext

## groonga-normalizer-mysql 1.1.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,11 @@
 cmake_minimum_required(VERSION 2.8.12)
 set(GROONGA_NORMALIZER_MYSQL_PROJECT_NAME "groonga-normalizer-mysql")
 project("${GROONGA_NORMALIZER_MYSQL_PROJECT_NAME}")
+
+if(NOT DEFINED GROONGA_NORMALIZER_MYSQL_DATA_DIR)
+  set(GROONGA_NORMALIZER_MYSQL_DATA_DIR
+    "share/${GROONGA_NORMALIZER_MYSQL_PROJECT_NAME}")
+endif()
 
 if(DEFINED GROONGA_NORMALIZER_MYSQL_EMBED)
   set(GROONGA_NORMALIZER_MYSQL_EMBED_DEFAULT
@@ -40,8 +45,15 @@
 endif()
 
 if(GROONGA_NORMALIZER_MYSQL_BUNDLED)
-  set(GROONGA_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/include")
-  set(GROONGA_LIBRARY_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/lib")
+  if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/../groonga/include")
+    set(GROONGA_INCLUDE_DIRS
+      "${CMAKE_CURRENT_SOURCE_DIR}/../groonga/include"
+      "${CMAKE_CURRENT_BINARY_DIR}/../groonga/include")
+    set(GROONGA_LIBRARY_DIRS "${CMAKE_CURRENT_BUILD_DIR}/../groonga/lib")
+  else()
+    set(GROONGA_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/include")
+    set(GROONGA_LIBRARY_DIRS "${CMAKE_CURRENT_BUILD_DIR}/lib")
+  endif()
   set(GROONGA_LIBRARIES "libgroonga")
   set(GROONGA_PLUGINS_DIR "${GRN_RELATIVE_PLUGINS_DIR}")
 else()
@@ -79,4 +91,4 @@
 install(FILES
   "README.md"
   "doc/text/lgpl-2.0.txt"
-  DESTINATION "share/${GROONGA_NORMALIZER_MYSQL_PROJECT_NAME}")
+  DESTINATION "${GROONGA_NORMALIZER_MYSQL_DATA_DIR}")

=== debian/changelog ===
groonga-normalizer-mysql (1.1.9-1) unstable; urgency=medium

  * New upstream version 1.1.9

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 12 Nov 2022 23:16:53 +0900

## groonga-normalizer-mysql 1.2.0

=== normalizers/CMakeLists.txt ===
--- 
+++ 
@@ -39,5 +39,10 @@
     PREFIX ""
     OUTPUT_NAME "mysql")
   install(TARGETS mysql_normalizer DESTINATION "${NORMALIZERS_DIR}")
+  if(MSVC AND CMAKE_VERSION VERSION_GREATER "3.1")
+    install(FILES $<TARGET_PDB_FILE:mysql_normalizer>
+      DESTINATION "${NORMALIZERS_DIR}"
+      OPTIONAL)
+  endif()
 endif()
 target_link_libraries(mysql_normalizer ${GROONGA_LIBRARIES})

=== debian/changelog ===
groonga-normalizer-mysql (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0

 -- Kentaro Hayashi <kenhys@xdump.org>  Tue, 29 Nov 2022 20:09:43 +0900

groonga-normalizer-mysql (1.1.9-2) unstable; urgency=medium

  * debian/control
    - Relax restricted architecture list
    - Bump Standards-Version to 4.6.1
  * debian/copyright
    - Update copyright year
  * debian/source/lintian-overrides
    - Suppress cryptographic warning

 -- Kentaro Hayashi <kenhys@xdump.org>  Mon, 21 Nov 2022 20:12:52 +0900

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,17 @@
  debhelper-compat (= 13),
  pkg-config,
  libgroonga-dev (>= 8.0.4)
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/groonga/groonga-normalizer-mysql
 Rules-Requires-Root: no
 
 Package: groonga-normalizer-mysql
-Architecture: linux-any kfreebsd-any
+Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libgroonga0
+Multi-Arch: same
 Description: MySQL derived normalizer for Groonga
  Groonga is an open-source fulltext search engine and column store.
  It lets you write high-performance applications that requires fulltext

## groonga-normalizer-mysql 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -55,9 +55,13 @@
     set(GROONGA_LIBRARY_DIRS "${CMAKE_CURRENT_BUILD_DIR}/lib")
   endif()
   set(GROONGA_LIBRARIES "libgroonga")
-  set(GROONGA_PLUGINS_DIR "${GRN_RELATIVE_PLUGINS_DIR}")
+  if(GRN_RELATIVE_PLUGINS_DIR)
+    set(GROONGA_PLUGINS_DIR "${GRN_RELATIVE_PLUGINS_DIR}")
+  else()
+    set(GROONGA_PLUGINS_DIR "lib/groonga/plugins")
+  endif()
 else()
-  include(FindPkgConfig)
+  find_package(PkgConfig REQUIRED)
   include(${CMAKE_CURRENT_SOURCE_DIR}/build/cmake_modules/ReadFileList.cmake)
 
   file(READ

=== debian/changelog ===
groonga-normalizer-mysql (1.2.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Kentaro Hayashi ]
  * New upstream version 1.2.1

 -- Kentaro Hayashi <kenhys@xdump.org>  Tue, 13 Dec 2022 20:23:46 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  pkg-config,
- libgroonga-dev (>= 8.0.4)
+ libgroonga-dev
 Standards-Version: 4.6.1
 Homepage: https://github.com/groonga/groonga-normalizer-mysql
 Rules-Requires-Root: no

=== debian/watch ===
version=4
https://packages.groonga.org/source/groonga-normalizer-mysql/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## groonga-normalizer-mysql 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright(C) 2013-2015  Kouhei Sutou <kou@clear-code.com>
+# Copyright(C) 2013-2023  Sutou Kouhei <kou@clear-code.com>
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Library General Public
@@ -15,7 +15,9 @@
 # Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 # MA 02110-1301, USA
 
-cmake_minimum_required(VERSION 2.8.12)
+# Ubuntu 20.04: 3.16
+# CentOS 7's EPEL: 3.17
+cmake_minimum_required(VERSION 3.16)
 set(GROONGA_NORMALIZER_MYSQL_PROJECT_NAME "groonga-normalizer-mysql")
 project("${GROONGA_NORMALIZER_MYSQL_PROJECT_NAME}")
 
@@ -45,23 +47,25 @@
 endif()
 
 if(GROONGA_NORMALIZER_MYSQL_BUNDLED)
-  if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/../groonga/include")
-    set(GROONGA_INCLUDE_DIRS
-      "${CMAKE_CURRENT_SOURCE_DIR}/../groonga/include"
-      "${CMAKE_CURRENT_BINARY_DIR}/../groonga/include")
-    set(GROONGA_LIBRARY_DIRS "${CMAKE_CURRENT_BUILD_DIR}/../groonga/lib")
+  if(GRN_RELATIVE_PLUGINS_DIR)
+    set(GRN_PLUGINS_DIR "${GRN_RELATIVE_PLUGINS_DIR}")
   else()
-    set(GROONGA_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/include")
-    set(GROONGA_LIBRARY_DIRS "${CMAKE_CURRENT_BUILD_DIR}/lib")
+    set(GRN_PLUGINS_DIR "lib/groonga/plugins")
   endif()
-  set(GROONGA_LIBRARIES "libgroonga")
-  if(GRN_RELATIVE_PLUGINS_DIR)
-    set(GROONGA_PLUGINS_DIR "${GRN_RELATIVE_PLUGINS_DIR}")
-  else()
-    set(GROONGA_PLUGINS_DIR "lib/groonga/plugins")
+  if(GRN_VERSION VERSION_LESS_EQUAL "13.0.1")
+    set(GRN_EMBEDED_BINARY_DIR "${CMAKE_CURRENT_BINARY_DIR}/../groonga")
+    if(EXISTS "${GRN_EMBEDED_BINARY_DIR}")
+      target_include_directories(libgroonga INTERFACE
+	"$<BUILD_INTERFACE:${GRN_EMBEDED_BINARY_DIR}/include>")
+    endif()
+    set(GRN_EMBEDED_SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../groonga")
+    if(EXISTS "${GRN_EMBEDED_SOURCE_DIR}")
+      target_include_directories(libgroonga INTERFACE
+	"$<BUILD_INTERFACE:${GRN_EMBEDED_SOURCE_DIR}/include>")
+    endif()
   endif()
+  add_library(Groonga::libgroonga ALIAS libgroonga)
 else()
-  find_package(PkgConfig REQUIRED)
   include(${CMAKE_CURRENT_SOURCE_DIR}/build/cmake_modules/ReadFileList.cmake)
 
   file(READ
@@ -69,16 +73,17 @@
     GROONGA_REQUIRED_VERSION)
   string(STRIP "${GROONGA_REQUIRED_VERSION}" GROONGA_REQUIRED_VERSION)
 
-  pkg_check_modules(GROONGA REQUIRED "groonga >= ${GROONGA_REQUIRED_VERSION}")
-  _pkgconfig_invoke(groonga GROONGA PLUGINS_DIR "" --variable=pluginsdir)
+  find_package(Groonga ${GROONGA_REQUIRED_VERSION})
+  if(NOT Groonga_FOUND)
+    find_package(PkgConfig REQUIRED)
+    pkg_check_modules(pkg_groonga IMPORTED_TARGETS REQUIRED
+      "groonga >= ${GROONGA_REQUIRED_VERSION}")
+    add_library(Groonga::libgroonga ALIAS PkgConfig::pkg_groonga)
+    _pkgconfig_invoke(groonga GRN PLUGINS_DIR "" --variable=pluginsdir)
+  endif()
 endif()
 
-include_directories(
-  ${CMAKE_BINARY_DIR}
-  ${GROONGA_INCLUDE_DIRS})
-
-link_directories(
-  ${GROONGA_LIBRARY_DIRS})
+configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 add_subdirectory(normalizers)
 
@@ -89,7 +94,7 @@
     @ONLY)
   install(
     FILES "${CMAKE_CURRENT_BINARY_DIR}/groonga-normalizer-mysql.pc"
-    DESTINATION "lib/pkgconfig/")
+    DESTINATION "${CMAKE_LIBDIR}/pkgconfig/")
 endif()
 
 install(FILES

=== debian/changelog ===
groonga-normalizer-mysql (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
  * debian/watch
    - Update scan rule because upstream changes hosting
  * debian/upstream/signing-key.asc
    - Add missing signing key
  * debian/source/lintian-overrides
    - Drop needless override because signing key was added

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 21 Oct 2023 19:51:03 +0900

groonga-normalizer-mysql (1.2.1-2) unstable; urgency=medium

  * debian/rules
    - Fix FTBFS(double build issue) (Closes: #1049514)
  * debian/control
    - Bump Standards-Version to 4.6.2. No other changes are required.

 -- Kentaro Hayashi <kenhys@xdump.org>  Thu, 17 Aug 2023 19:52:07 +0900

## groonga-normalizer-mysql 1.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,9 +21,11 @@
 set(GROONGA_NORMALIZER_MYSQL_PROJECT_NAME "groonga-normalizer-mysql")
 project("${GROONGA_NORMALIZER_MYSQL_PROJECT_NAME}")
 
-if(NOT DEFINED GROONGA_NORMALIZER_MYSQL_DATA_DIR)
-  set(GROONGA_NORMALIZER_MYSQL_DATA_DIR
-    "share/${GROONGA_NORMALIZER_MYSQL_PROJECT_NAME}")
+include(GNUInstallDirs)
+
+if(NOT DEFINED GROONGA_NORMALIZER_MYSQL_DOC_DIR)
+  set(GROONGA_NORMALIZER_MYSQL_DOC_DIR
+    "${CMAKE_INSTALL_DOCDIR}/${GROONGA_NORMALIZER_MYSQL_PROJECT_NAME}")
 endif()
 
 if(DEFINED GROONGA_NORMALIZER_MYSQL_EMBED)
@@ -94,10 +96,10 @@
     @ONLY)
   install(
     FILES "${CMAKE_CURRENT_BINARY_DIR}/groonga-normalizer-mysql.pc"
-    DESTINATION "${CMAKE_LIBDIR}/pkgconfig/")
+    DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig/")
 endif()
 
 install(FILES
   "README.md"
   "doc/text/lgpl-2.0.txt"
-  DESTINATION "${GROONGA_NORMALIZER_MYSQL_DATA_DIR}")
+  DESTINATION "${GROONGA_NORMALIZER_MYSQL_DOC_DIR}")

=== normalizers/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright(C) 2013-2015  Kouhei Sutou <kou@clear-code.com>
+# Copyright(C) 2013-2023  Sutou Kouhei <kou@clear-code.com>
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Library General Public
@@ -15,7 +15,7 @@
 # Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 # MA 02110-1301, USA
 
-set(NORMALIZERS_DIR "${GROONGA_PLUGINS_DIR}/normalizers")
+set(NORMALIZERS_DIR "${GRN_PLUGINS_DIR}/normalizers")
 read_file_list(${CMAKE_CURRENT_SOURCE_DIR}/mysql_sources.am MYSQL_SOURCES)
 if(GROONGA_NORMALIZER_MYSQL_EMBED)
   add_library(mysql_normalizer STATIC ${MYSQL_SOURCES})
@@ -25,24 +25,20 @@
     mysql_normalizer
     PROPERTIES
     POSITION_INDEPENDENT_CODE ON)
-  if(NOT DEFINED CMAKE_C_COMPILE_OPTIONS_PIC)
-    # For old CMake
-    if(CMAKE_COMPILER_IS_GNUCXX)
-      set_source_files_properties(${MYSQL_SOURCES}
-	PROPERTIES
-	COMPILE_FLAGS "-fPIC")
-    endif()
-  endif()
 else()
   add_library(mysql_normalizer MODULE ${MYSQL_SOURCES})
   set_target_properties(mysql_normalizer PROPERTIES
     PREFIX ""
     OUTPUT_NAME "mysql")
   install(TARGETS mysql_normalizer DESTINATION "${NORMALIZERS_DIR}")
-  if(MSVC AND CMAKE_VERSION VERSION_GREATER "3.1")
+  if(MSVC)
     install(FILES $<TARGET_PDB_FILE:mysql_normalizer>
       DESTINATION "${NORMALIZERS_DIR}"
       OPTIONAL)
   endif()
 endif()
-target_link_libraries(mysql_normalizer ${GROONGA_LIBRARIES})
+target_include_directories(mysql_normalizer BEFORE PRIVATE
+  "${CMAKE_CURRENT_BINARY_DIR}/.."
+  "${CMAKE_CURRENT_SOURCE_DIR}")
+target_link_libraries(mysql_normalizer PRIVATE Groonga::libgroonga)
+target_compile_definitions(mysql_normalizer PRIVATE HAVE_CONFIG_H)

=== debian/changelog ===
groonga-normalizer-mysql (1.2.3-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:03:03 +1100

groonga-normalizer-mysql (1.2.3-3) unstable; urgency=medium

  * debian/control
    - Drop needless Depends: t64

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 23 Mar 2024 16:21:16 +0900

groonga-normalizer-mysql (1.2.3-2) unstable; urgency=medium

  * debian/control
    - Refresh Depends for libgroonga0t64
    - Refresh Maintainer: field
    - Use superseded pkgconf

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 03 Mar 2024 23:06:57 +0900

groonga-normalizer-mysql (1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3

 -- Kentaro Hayashi <kenhys@xdump.org>  Wed, 08 Nov 2023 20:29:16 +0900

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: groonga-normalizer-mysql
 Section: libs
 Priority: optional
-Maintainer: Groonga Project <packages@groonga.org>
-Uploaders: Kentaro Hayashi <kenhys@xdump.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kentaro Hayashi <kenhys@xdump.org>
 Vcs-Git: https://salsa.debian.org/debian/groonga-normalizer-mysql.git
 Vcs-Browser: https://salsa.debian.org/debian/groonga-normalizer-mysql/
 Build-Depends:
  debhelper-compat (= 13),
- pkg-config,
+ pkgconf,
  libgroonga-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/groonga/groonga-normalizer-mysql
 Rules-Requires-Root: no
 
@@ -17,8 +17,7 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends},
- libgroonga0
+ ${shlibs:Depends}
 Multi-Arch: same
 Description: MySQL derived normalizer for Groonga
  Groonga is an open-source fulltext search engine and column store.

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,3 @@
 override_dh_install:
 	find $(CURDIR) -name '*.la' -delete
 	find $(CURDIR) -name '*.a' -delete
-	find $(CURDIR) -name 'lgpl-2.0.txt' -delete

## groonga-normalizer-mysql 1.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright(C) 2013-2023  Sutou Kouhei <kou@clear-code.com>
+# Copyright (C) 2013-2024  Sutou Kouhei <kou@clear-code.com>
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Library General Public
@@ -19,7 +19,8 @@
 # CentOS 7's EPEL: 3.17
 cmake_minimum_required(VERSION 3.16)
 set(GROONGA_NORMALIZER_MYSQL_PROJECT_NAME "groonga-normalizer-mysql")
-project("${GROONGA_NORMALIZER_MYSQL_PROJECT_NAME}")
+project("${GROONGA_NORMALIZER_MYSQL_PROJECT_NAME}"
+  VERSION "1.2.4")
 
 include(GNUInstallDirs)
 
@@ -39,8 +40,6 @@
   CACHE
   BOOL
   "Build as a static library to embed into an application")
-
-file(READ "${CMAKE_CURRENT_SOURCE_DIR}/version" VERSION)
 
 if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
   set(GROONGA_NORMALIZER_MYSQL_BUNDLED FALSE)
@@ -68,8 +67,6 @@
   endif()
   add_library(Groonga::libgroonga ALIAS libgroonga)
 else()
-  include(${CMAKE_CURRENT_SOURCE_DIR}/build/cmake_modules/ReadFileList.cmake)
-
   file(READ
     ${CMAKE_CURRENT_SOURCE_DIR}/required_groonga_version
     GROONGA_REQUIRED_VERSION)
@@ -78,7 +75,7 @@
   find_package(Groonga ${GROONGA_REQUIRED_VERSION})
   if(NOT Groonga_FOUND)
     find_package(PkgConfig REQUIRED)
-    pkg_check_modules(pkg_groonga IMPORTED_TARGETS REQUIRED
+    pkg_check_modules(pkg_groonga REQUIRED IMPORTED_TARGET
       "groonga >= ${GROONGA_REQUIRED_VERSION}")
     add_library(Groonga::libgroonga ALIAS PkgConfig::pkg_groonga)
     _pkgconfig_invoke(groonga GRN PLUGINS_DIR "" --variable=pluginsdir)

=== normalizers/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright(C) 2013-2023  Sutou Kouhei <kou@clear-code.com>
+# Copyright (C) 2013-2024  Sutou Kouhei <kou@clear-code.com>
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Library General Public
@@ -16,7 +16,18 @@
 # MA 02110-1301, USA
 
 set(NORMALIZERS_DIR "${GRN_PLUGINS_DIR}/normalizers")
-read_file_list(${CMAKE_CURRENT_SOURCE_DIR}/mysql_sources.am MYSQL_SOURCES)
+set(MYSQL_SOURCES
+  mysql.c
+  mysql_general_ci_table.h
+  mysql_unicode_ci_table.h
+  mysql_unicode_ci_except_kana_ci_kana_with_voiced_sound_mark_table.h
+  mysql_unicode_520_ci_table.h
+  mysql_unicode_520_ci_except_kana_ci_kana_with_voiced_sound_mark_table.h
+  mysql_unicode_900_ai_ci_table.h
+  mysql_unicode_900_as_ci_table.h
+  mysql_unicode_900_as_cs_table.h
+  mysql_unicode_900_ja_as_cs_table.h
+  mysql_unicode_900_ja_as_cs_ks_table.h)
 if(GROONGA_NORMALIZER_MYSQL_EMBED)
   add_library(mysql_normalizer STATIC ${MYSQL_SOURCES})
   set_property(TARGET mysql_normalizer APPEND PROPERTY

=== debian/changelog ===
groonga-normalizer-mysql (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4
  * debian/control
    - Switch to cmake because upstream drop Autotools support.

 -- Kentaro Hayashi <kenhys@xdump.org>  Thu, 26 Dec 2024 13:24:00 +0900

groonga-normalizer-mysql (1.2.3-5) unstable; urgency=medium

  * debian/control
    - Drop kfreebsd-*.
    - Bump Standards-Version to 4.7.0. No other changes are required.

 -- Kentaro Hayashi <kenhys@xdump.org>  Mon, 23 Dec 2024 15:59:09 +0900

groonga-normalizer-mysql (1.2.3-4) unstable; urgency=medium

  * debian/control
    - Add missing versioned dpkg-dev Build-Depends: for t64 transition

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 31 Mar 2024 15:51:27 +0900

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: groonga-normalizer-mysql
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kentaro Hayashi <kenhys@xdump.org>
+Maintainer: Kentaro Hayashi <kenhys@xdump.org>
 Vcs-Git: https://salsa.debian.org/debian/groonga-normalizer-mysql.git
 Vcs-Browser: https://salsa.debian.org/debian/groonga-normalizer-mysql/
 Build-Depends:
+ dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
+ cmake,
  pkgconf,
  libgroonga-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/groonga/groonga-normalizer-mysql
 Rules-Requires-Root: no
 
 Package: groonga-normalizer-mysql
-Architecture: any
+Architecture: linux-any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}

## groonga-normalizer-mysql 1.2.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 cmake_minimum_required(VERSION 3.16)
 set(GROONGA_NORMALIZER_MYSQL_PROJECT_NAME "groonga-normalizer-mysql")
 project("${GROONGA_NORMALIZER_MYSQL_PROJECT_NAME}"
-  VERSION "1.2.4")
+  VERSION "1.2.5")
 
 include(GNUInstallDirs)

## groonga-normalizer-mysql 1.2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 cmake_minimum_required(VERSION 3.16)
 set(GROONGA_NORMALIZER_MYSQL_PROJECT_NAME "groonga-normalizer-mysql")
 project("${GROONGA_NORMALIZER_MYSQL_PROJECT_NAME}"
-  VERSION "1.2.5")
+  VERSION "1.2.6")
 
 include(GNUInstallDirs)

=== normalizers/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2013-2024  Sutou Kouhei <kou@clear-code.com>
+# Copyright (C) 2013-2025  Sutou Kouhei <kou@clear-code.com>
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Library General Public
@@ -27,7 +27,11 @@
   mysql_unicode_900_as_ci_table.h
   mysql_unicode_900_as_cs_table.h
   mysql_unicode_900_ja_as_cs_table.h
-  mysql_unicode_900_ja_as_cs_ks_table.h)
+  mysql_unicode_900_ja_as_cs_ks_table.h
+  mysql_unicode_1400_ai_ci_table.h
+  mysql_unicode_1400_ai_cs_table.h
+  mysql_unicode_1400_as_ci_table.h
+  mysql_unicode_1400_as_cs_table.h)
 if(GROONGA_NORMALIZER_MYSQL_EMBED)
   add_library(mysql_normalizer STATIC ${MYSQL_SOURCES})
   set_property(TARGET mysql_normalizer APPEND PROPERTY

=== debian/changelog ===
groonga-normalizer-mysql (1.2.6-1) unstable; urgency=medium

  * New upstream version 1.2.6
  * debian/control
    - Bump Standards-Version to 4.7.2. No other changes are required.

 -- Kentaro Hayashi <kenhys@xdump.org>  Fri, 28 Mar 2025 22:08:18 +0900

groonga-normalizer-mysql (1.2.5-1) unstable; urgency=medium

  * New upstream version 1.2.5

 -- Kentaro Hayashi <kenhys@xdump.org>  Fri, 07 Mar 2025 12:48:32 +0900

## groonga-normalizer-mysql 1.2.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 cmake_minimum_required(VERSION 3.16)
 set(GROONGA_NORMALIZER_MYSQL_PROJECT_NAME "groonga-normalizer-mysql")
 project("${GROONGA_NORMALIZER_MYSQL_PROJECT_NAME}"
-  VERSION "1.2.6")
+  VERSION "1.2.8")
 
 include(GNUInstallDirs)

=== debian/changelog ===
groonga-normalizer-mysql (1.2.8-1) unstable; urgency=medium

  * New upstream version 1.2.8
  * debian/copyright
    Fix W: old-fsf-address-in-copyright-file

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 10 Aug 2025 16:34:23 +0900

## groonga-normalizer-mysql 1.2.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 cmake_minimum_required(VERSION 3.16)
 set(GROONGA_NORMALIZER_MYSQL_PROJECT_NAME "groonga-normalizer-mysql")
 project("${GROONGA_NORMALIZER_MYSQL_PROJECT_NAME}"
-  VERSION "1.2.8")
+  VERSION "1.2.9")
 
 include(GNUInstallDirs)

=== debian/changelog ===
groonga-normalizer-mysql (1.2.9-1) unstable; urgency=medium

  * New upstream version 1.2.9

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 13 Sep 2025 22:24:48 +0900

=== debian/watch ===
version=4
opts=\
  searchmode=plain,\
  pgpsigurlmangle=s/$/.asc/ \
  https://api.github.com/repos/groonga/@PACKAGE@/releases \
  https://github.com/groonga/@PACKAGE@/releases/download/v[\d.]+/@PACKAGE@@ANY_VERSION@\.tar\.gz

## groonga-normalizer-mysql 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 cmake_minimum_required(VERSION 3.16)
 set(GROONGA_NORMALIZER_MYSQL_PROJECT_NAME "groonga-normalizer-mysql")
 project("${GROONGA_NORMALIZER_MYSQL_PROJECT_NAME}"
-  VERSION "1.2.9")
+  VERSION "1.3.0")
 
 include(GNUInstallDirs)

=== normalizers/CMakeLists.txt ===
--- 
+++ 
@@ -34,8 +34,6 @@
   mysql_unicode_1400_as_cs_table.h)
 if(GROONGA_NORMALIZER_MYSQL_EMBED)
   add_library(mysql_normalizer STATIC ${MYSQL_SOURCES})
-  set_property(TARGET mysql_normalizer APPEND PROPERTY
-    COMPILE_DEFINITIONS "GROONGA_NORMALIZER_MYSQL_EMBED")
   set_target_properties(
     mysql_normalizer
     PROPERTIES

=== debian/changelog ===
groonga-normalizer-mysql (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * debian/watch
    - Update to d/watch 5

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 04 Oct 2025 19:06:18 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  cmake,
  pkgconf,
  libgroonga-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/groonga/groonga-normalizer-mysql
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export DH_OPTIONS
 
 %:
-	dh $@
+	dh $@ --buildsystem=cmake
 
 # disable 'make check'.
 override_dh_auto_test:

=== debian/tests/control ===
Tests: register, normalize
Depends: gcc, groonga-bin, jq, groonga-normalizer-mysql

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/groonga/@PACKAGE@/releases
Matching-Pattern: https://github.com/groonga/@PACKAGE@/releases/download/v[\d.]+/@PACKAGE@@ANY_VERSION@\.tar\.gz
Dversionmangle: auto
Pgpsigurlmangle: s/$/.asc/
Searchmode: plain
